chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
  if (message.action === 'download') {
    message.urls.forEach(url => {
      chrome.downloads.download({
        url: url,
        filename: `${message.folderName}/${url.split('/').pop()}`,
        conflictAction: 'uniquify'
      });
    });
  }
});
